Public Class Kid
  Private lname, frname, club As String
  Private age As Short
  Private time As Single
  '-------------------------------------
  Public Sub New(ByVal line As String)
    MyBase.new()
    Dim lnum, s As String
    Dim tok As StringTokenizer

    Dim nfi As NumberFormatInfo
    nfi = New NumberFormatInfo()
    nfi.NumberDecimalSeparator = "."

    tok = New StringTokenizer(line)
    tok.setSeparator(" ")
    lnum = tok.nextToken()
    frname = tok.nextToken
    lname = tok.nextToken()
    age = CInt(tok.nextToken())
    club = tok.nextToken()
    s = tok.nextToken()
    time = Single.Parse(s, nfi)
  End Sub
  '--------------------------------
  Public Function getAge() As Short
    getAge = age
  End Function

  Public Function getTime() As Single
    getTime = time
  End Function

  Public Function getFrname() As String
    getFrname = frname
  End Function

  Public Function getLname() As String
    getLname = lname
  End Function

  Public Function getClub() As String
    getClub = club
  End Function
End Class
